Description

Hello

I have a Toshiba AMD Turion X2 with the Windows 7 installed and I'm reporting a problem with the latest QGIS version, the 1.5 Tethys.

Until last Friday (30/July/2010), I had the Trunk version 1.5 installed on my computer and everything worked fine. The QGIS Time have

edit a new version an so, I decided to install the "Tethys". After I have installed it, I started to use this new version but I found that when I

open the "Fetch Python Plugins" command, the QGIS crashs. With this, the QGIS is unable to install new plugins or update the existing

ones.

Any suggestions to solve this?

Regards

Joaquim

History

#1 - 2010-08-02 06:07 AM - Giovanni Manghi

Olá Joaquim,

can you pleae try make a clean install? remove qgis, the .qgis directory, etc, then test again.

Are you using osgeo4w or the standalone installer?

#2 - 2010-08-02 07:24 AM - mapasPT -

Hello Lutra,

I've tried do that - clean install with osgeo4w and installer - several times. You can see everything I've tried in here 

http://forum.qgis.org/viewtopic.php?f=2&#38;t=6911

#3 - 2010-08-02 09:21 AM - Giovanni Manghi

The first error (the one reported in the message you reported in the forum) is easy fixed. It depends by the fact that qgis 1.5 ships with gdal 1.5 and

apparently in osgeo4w the python bindigs are not yet available.

The workaround (until the bindings will be available) is
copyt the folder

gdal\\python

in this arquive

http://vbkto.dyndns.org/sdk/release-1310-gdal-1-7-mapserver-5-6.zip

and copy it to

C:\\OSGeo4W\\apps\\gdal-17\\pymod

tested myself under windows seven.

#4 - 2010-08-02 09:21 AM - Giovanni Manghi

did not read the entire forum thread, do you have other problems?

#5 - 2010-08-02 11:19 AM - Jürgen Fischer

Replying to [comment:3 lutra]:

The first error (the one reported in the message you reported in the forum) is easy fixed. It depends by the fact that qgis 1.5 ships with gdal 1.5 and

apparently in osgeo4w the python bindigs are not yet available.

I suppose you mean GDAL 1.7.   QGIS 1.5 ships with GDAL 1.6 including python bindings.  The nightly builds (currently 1.6) are built with GDAL 1.7, which

still doesn't have python bindings in OSGeo4W.

Still I miss how that affects the plugins installer and where QGIS crashes.

#6 - 2010-08-02 11:24 AM - Giovanni Manghi

the error message that is shown in the description of the forum thread (see above) is caused by the gdal tools plugin that does not finds the bindings for

gdal 1.7 (if you use trunk).

#7 - 2010-08-02 11:27 AM - Giovanni Manghi

PS

this has nothing to do with the crash while opening "fetch python plugins", an error that I have seen myself a few times in (others) machines. I once posted

in the ML about this problem but with no feedback.

#8 - 2010-08-02 02:00 PM - mapasPT -

Hello,

The problem with the GDAL tools ara solved. I've reported that in the Forum.
The real problem are with the Fetch Python Plugins that when I open it the Quantum GIS crashes.

You said "...crash while opening "fetch python plugins", an error that I have seen myself a few times in (others) machines. I once posted in the ML about

this problem but with no feedback."

You have solved this problem in (others) machines?

regards

#9 - 2010-08-03 04:15 AM - Giovanni Manghi

The problem with the GDAL tools ara solved. I've reported that in the Forum.

sorry, I do not have the time to follow both the trac and forum.

You have solved this problem in (others) machines?

I don't remember exactly.

Under linux it probably passed by removing the packages, all remaining qgis system files, the .qgis folder and the ~/.config/QuantumGIS/QGIS.conf file

Under linux you may want ot try to reomve the c:\\osgeo4w directory, all the shortcuts, the .qgis directory and then make a full scan of the registry (I use

CCleaner) and fix problems.

If I'm not wrong this worked but this doesn't mean that this is the solution for this problem.

#10 - 2010-08-05 11:17 AM - Giovanni Manghi

any positive advance?

#11 - 2010-08-05 12:17 PM - mapasPT -

Replying to [comment:10 lutra]:

any positive advance?

Hello,

Nothing and I don´t have any idea to solve this.

#12 - 2010-08-05 12:21 PM - Giovanni Manghi

please write to the user list, specifying your configuration/installation and what you have tried to do, hopefully someone will have ad idea of what is going

on.
#13 - 2010-08-05 12:30 PM - mapasPT -

Replying to [comment:12 lutra]:

please write to the user list, specifying your configuration/installation and what you have tried to do, hopefully someone will have ad idea of what is

going on.

User list? I've wrote in the QGIS Forum and in here and I have to do de same in a user list? And where is it?

Sorry for my comments but I'm very frustrated with this problem.

Regards

#14 - 2010-08-05 12:45 PM - Giovanni Manghi

the qgis forum is a nice resource but I believe that most of the users (and especially the developers) stay in contact trough the users mailing list and the

developers mailing list

http://www.qgis.org/en/community/mailing-lists.html

#15 - 2010-08-06 01:46 AM - mapasPT -

Replying to [comment:14 lutra]:

the qgis forum is a nice resource but I believe that most of the users (and especially the developers) stay in contact trough the users mailing list and

the developers mailing list

http://www.qgis.org/en/community/mailing-lists.html

Ok. I will try this option of the mailing list....

#16 - 2010-08-23 09:20 AM - mapasPT -

Hello,

The reported problem was solved when I installed the code revision 13923M of QGIS (by OSGeo4w). The Fetch Python Plugin are now working like a

charme!

YESSSSSSSSSSSSSSSSS

#17 - 2010-08-24 01:09 AM - Borys Jurgiel

- Status changed from Open to Closed

- Resolution set to fixed
